summaryrefslogtreecommitdiff
path: root/.config/bspwm
diff options
context:
space:
mode:
authorJacob McDonnell <jacob@simplelittledream.com>2022-10-26 11:10:13 -0400
committerJacob McDonnell <jacob@simplelittledream.com>2022-10-26 11:10:13 -0400
commit6b6e91707ecf621a0bedad154351db8f1ccc2123 (patch)
treee0bed306b683c344e3f429817b1ef04daba1c2f6 /.config/bspwm
parent161a1bfb0b3e75e9f5241cd7dd8aafec455a67d5 (diff)
Working on merging to one branch
Diffstat (limited to '.config/bspwm')
-rwxr-xr-x.config/bspwm/bspwmrc54
1 files changed, 54 insertions, 0 deletions
diff --git a/.config/bspwm/bspwmrc b/.config/bspwm/bspwmrc
new file mode 100755
index 0000000..9de8a77
--- /dev/null
+++ b/.config/bspwm/bspwmrc
@@ -0,0 +1,54 @@
+#! /bin/sh
+#### AUTOSTART ####
+sxhkd &
+reloadPolybar &
+#### MONITORS ####
+mainmonitor="$(bspc query --monitors --names | grep -v LVDS | head -n 1)"
+if ! echo "$mainmonitor" | grep LVDS >/dev/null 2>&1; then
+ xrandr --output "$mainmonitor" --auto --output LVDS1 --off
+fi
+bspc monitor $mainmonitor -d 1 2 3 4 5 6 7 8 9 10
+bspc desktop -f 1
+
+#### BSPWM configuration ####
+#bspc config border_radius 8
+bspc config border_width 2
+bspc config window_gap 10
+bspc config top_padding 20
+bspc config bottom_padding 0
+bspc config left_padding 0
+bspc config right_padding 0
+bspc config single_monocle false
+bspc config click_to_focus true
+bspc config split_ratio 0.50
+bspc config borderless_monocle true
+bspc config gapless_monocle true
+bspc config focus_by_distance true
+bspc config focus_follows_pointer true
+bspc config history_aware_focus true
+bspc config remove_disabled_monitors true
+bspc config merge_overlapping_monitors true
+bspc config pointer_modifier mod4
+bspc config pointer_action1 move
+bspc config pointer_action2 resize_side
+bspc config pointer_action3 resize_corner
+
+#### BSPWM coloring ####
+bspc config normal_border_color "#4c566a"
+bspc config active_border_color "#1e1e1e"
+bspc config focused_border_color "#5e81ac"
+bspc config presel_feedback_color "#5e81ac"
+bspc config urgent_border_color "#dd2727"
+
+#polybar hidden when fullscreen for vlc, youtube, mpv ...
+#find out the name of your monitor with xrandr
+xdo below -t $(xdo id -n root) $(xdo id -a polybar-main_DisplayPort-0)
+xdo below -t $(xdo id -n root) $(xdo id -a polybar-main_DisplayPort-1)
+xdo below -t $(xdo id -n root) $(xdo id -a polybar-main_HDMI-A-0)
+
+bspc rule -a Gimp desktop='^8' state=floating follow=on
+bspc rule -a Chromium desktop='^2'
+bspc rule -a mplayer2 state=floating
+bspc rule -a Kupfer.py focus=on
+bspc rule -a Screenkey manage=off
+bspc rule -a shutdownScript state:floating